<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIHomeState;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIHomeOption extends \Google\Protobuf\Internal\Message
{
    


    protected $type = null;
    


    protected $title = null;
    


    protected $promptText = null;
    


    protected $sessionId = null;
    


    protected $imageWdsIdentifier = null;
    


    protected $imageTintColor = null;
    


    protected $imageBackgroundColor = null;

    














    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getType()
    {
        return isset($this->type) ? $this->type : 0;
    }

    public function hasType()
    {
        return isset($this->type);
    }

    public function clearType()
    {
        unset($this->type);
    }

    




    public function setType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\AIHomeState\AIHomeOption\AIHomeActionType::class);
        $this->type = $var;

        return $this;
    }

    



    public function getTitle()
    {
        return isset($this->title) ? $this->title : '';
    }

    public function hasTitle()
    {
        return isset($this->title);
    }

    public function clearTitle()
    {
        unset($this->title);
    }

    




    public function setTitle($var)
    {
        GPBUtil::checkString($var, True);
        $this->title = $var;

        return $this;
    }

    



    public function getPromptText()
    {
        return isset($this->promptText) ? $this->promptText : '';
    }

    public function hasPromptText()
    {
        return isset($this->promptText);
    }

    public function clearPromptText()
    {
        unset($this->promptText);
    }

    




    public function setPromptText($var)
    {
        GPBUtil::checkString($var, True);
        $this->promptText = $var;

        return $this;
    }

    



    public function getSessionId()
    {
        return isset($this->sessionId) ? $this->sessionId : '';
    }

    public function hasSessionId()
    {
        return isset($this->sessionId);
    }

    public function clearSessionId()
    {
        unset($this->sessionId);
    }

    




    public function setSessionId($var)
    {
        GPBUtil::checkString($var, True);
        $this->sessionId = $var;

        return $this;
    }

    



    public function getImageWdsIdentifier()
    {
        return isset($this->imageWdsIdentifier) ? $this->imageWdsIdentifier : '';
    }

    public function hasImageWdsIdentifier()
    {
        return isset($this->imageWdsIdentifier);
    }

    public function clearImageWdsIdentifier()
    {
        unset($this->imageWdsIdentifier);
    }

    




    public function setImageWdsIdentifier($var)
    {
        GPBUtil::checkString($var, True);
        $this->imageWdsIdentifier = $var;

        return $this;
    }

    



    public function getImageTintColor()
    {
        return isset($this->imageTintColor) ? $this->imageTintColor : '';
    }

    public function hasImageTintColor()
    {
        return isset($this->imageTintColor);
    }

    public function clearImageTintColor()
    {
        unset($this->imageTintColor);
    }

    




    public function setImageTintColor($var)
    {
        GPBUtil::checkString($var, True);
        $this->imageTintColor = $var;

        return $this;
    }

    



    public function getImageBackgroundColor()
    {
        return isset($this->imageBackgroundColor) ? $this->imageBackgroundColor : '';
    }

    public function hasImageBackgroundColor()
    {
        return isset($this->imageBackgroundColor);
    }

    public function clearImageBackgroundColor()
    {
        unset($this->imageBackgroundColor);
    }

    




    public function setImageBackgroundColor($var)
    {
        GPBUtil::checkString($var, True);
        $this->imageBackgroundColor = $var;

        return $this;
    }

}

